opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
CvCamShiftTracker Class Reference

`#include <legacy.hpp>`

## Public Member Functions
| CvCamShiftTracker ()
virtual IplImage * | get_back_project ()
CvPoint2D32f | get_center () const
int | get_hist_dims (int *dims=0) const
float | get_length () const
int | get_max_ch_val (int channel) const
int | get_min_ch_val (int channel) const
float | get_orientation () const
int | get_threshold () const
float | get_width () const
CvRect | get_window () const
float | query (int *bin) const
virtual void | reset_histogram ()
bool | set_hist_bin_range (int dim, int min_val, int max_val)
bool | set_hist_dims (int c_dims, int *dims)
bool | set_max_ch_val (int channel, int val)
bool | set_min_ch_val (int channel, int val)
bool | set_threshold (int threshold)
bool | set_window (CvRect window)
virtual bool | track_object (const IplImage *cur_frame)
virtual bool | update_histogram (const IplImage *cur_frame)
virtual | ~CvCamShiftTracker ()

## Protected Member Functions
virtual void | color_transform (const IplImage *img)

## Protected Attributes
IplImage * | m_back_project
CvBox2D | m_box
IplImage * | m_color_planes [CV_MAX_DIM]
CvConnectedComp | m_comp
CvHistogram * | m_hist
float * | m_hist_ranges [CV_MAX_DIM]
float | m_hist_ranges_data [CV_MAX_DIM][2]
IplImage * | m_mask
int | m_max_ch_val [CV_MAX_DIM]
int | m_min_ch_val [CV_MAX_DIM]
IplImage * | m_temp
int | m_threshold

## Constructor & Destructor Documentation

CvCamShiftTracker::CvCamShiftTracker | ( |  | ) |

virtual CvCamShiftTracker::~CvCamShiftTracker | ( |  | ) |
| virtual

## Member Function Documentation

virtual void CvCamShiftTracker::color_transform | ( | const IplImage * | img | ) |
| protected virtual

virtual IplImage* CvCamShiftTracker::get_back_project | ( |  | ) |
| inline virtual

CvPoint2D32f CvCamShiftTracker::get_center | ( |  | ) | const
| inline

int CvCamShiftTracker::get_hist_dims | ( | int * | dims = `0` | ) | const
| inline

float CvCamShiftTracker::get_length | ( |  | ) | const
| inline

int CvCamShiftTracker::get_max_ch_val | ( | int | channel | ) | const
| inline

int CvCamShiftTracker::get_min_ch_val | ( | int | channel | ) | const
| inline

float CvCamShiftTracker::get_orientation | ( |  | ) | const
| inline

int CvCamShiftTracker::get_threshold | ( |  | ) | const
| inline

float CvCamShiftTracker::get_width | ( |  | ) | const
| inline

CvRect CvCamShiftTracker::get_window | ( |  | ) | const
| inline

float CvCamShiftTracker::query | ( | int * | bin | ) | const
| inline

virtual void CvCamShiftTracker::reset_histogram | ( |  | ) |
| virtual

bool CvCamShiftTracker::set_hist_bin_range | ( | int | dim,
|  | int | min_val,
|  | int | max_val
| ) |  |

bool CvCamShiftTracker::set_hist_dims | ( | int | c_dims,
|  | int * | dims
| ) |  |

bool CvCamShiftTracker::set_max_ch_val | ( | int | channel,
|  | int | val
| ) |  |
| inline

bool CvCamShiftTracker::set_min_ch_val | ( | int | channel,
|  | int | val
| ) |  |
| inline

bool CvCamShiftTracker::set_threshold | ( | int | threshold | ) |
| inline

bool CvCamShiftTracker::set_window | ( | CvRect | window | ) |
| inline

virtual bool CvCamShiftTracker::track_object | ( | const IplImage * | cur_frame | ) |
| virtual

virtual bool CvCamShiftTracker::update_histogram | ( | const IplImage * | cur_frame | ) |
| virtual

## Member Data Documentation

IplImage* CvCamShiftTracker::m_back_project
| protected

CvBox2D CvCamShiftTracker::m_box
| protected

IplImage* CvCamShiftTracker::m_color_planes[CV_MAX_DIM]
| protected

CvConnectedComp CvCamShiftTracker::m_comp
| protected

CvHistogram* CvCamShiftTracker::m_hist
| protected

float* CvCamShiftTracker::m_hist_ranges[CV_MAX_DIM]
| protected

float CvCamShiftTracker::m_hist_ranges_data[CV_MAX_DIM][2]
| protected

IplImage* CvCamShiftTracker::m_mask
| protected

int CvCamShiftTracker::m_max_ch_val[CV_MAX_DIM]
| protected

int CvCamShiftTracker::m_min_ch_val[CV_MAX_DIM]
| protected

IplImage* CvCamShiftTracker::m_temp
| protected

int CvCamShiftTracker::m_threshold
| protected

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/legacy/include/opencv2/legacy/legacy.hpp